Integrate with PageUp's Applicant API to streamline your hiring workflow!
The Applicant API allows you to manipulate applicants. It provides the following capabilities:
For information on how to obtain API credentials and to start integrating with the API, please visit the Getting started page.
To begin using any of the APIs, there are a few things that you will need:
Requesting the oAuth token with the appropriate scope (e.g. 'Public.Applicant.Read') will allow you to use that token for calls against the respective functions that use that scope (e.g. GET /api/applicant/). See the implementation notes under each endpoint below to see which scope is needed for each endpoint.
https://<environment>.<dataCentreId>.pageuppeople.com/v3/<tenantId>/recruitment/applicant/...
The environment, data centre and tenant Id are described on the Base URLs page.
Example - connect to the 218 production environment on dc2
https://api.dc2.pageuppeople.com/v3/218/recruitment/applicant/...